/**
 * ...
 * @author Xxx
 */


class Enums.AttackDefensiveLevel
{
	public static var e_DefensiveLevel_Penetrated = 0
	public static var e_DefensiveLevel_Blocked = 1
	public static var e_DefensiveLevel_Normal = 2
}

class Enums.TemplateLock 
{
	public static var e_ComboInLock = 64
	public static var e_SpellLineLock = 8
	public static var e_NoLockFlagSet = 1
	public static var e_SpellLineCooldownModify = 16
	public static var e_LockAllTemplates = 512
	public static var e_ShortcutAdded = 1024
	public static var e_TemplateHide = 256
	public static var e_GlobalCooldown = 32
	public static var e_SetRecastTimer = 128
	public static var e_TemplateLock = 2
	public static var e_TemplateCooldownModify = 4
}

class Enums.RDBID 
{
	public static var e_RDB_GUI_Image = 1000636
	public static var e_RDB_FlashFile = 1000624
	public static var e_RDB_USM_Movie = 1000635
}

class Enums.InventoryAddItemResponse 
{

	public static var e_AddItem_Success = 1
	public static var e_AddItem_Fail = 0
	public static var e_AddItem_Pending = 2
}

class Enums.ResourceType 
{
	public static var e_StrikeResourceType = 3
	public static var e_SlamResourceType = 2
	public static var e_BulletResourceType = 9
	public static var e_ClipResourceType = 7
	public static var e_BloodResourceType = 4
	public static var e_CutResourceType = 1
	public static var e_ShellResourceType = 8
	public static var e_ElementalResourceType = 6
	public static var e_ChaosResourceType = 5
}

class Enums.ItemEquipLocation 
{
	public static var e_Wear_AlternateAmmunition = 22
	public static var e_Wear_Legs = 10
	public static var e_Wear_Third_WeaponSlot = 20
	public static var e_Wear_Feet = 11
	public static var e_Wear_Hands = 7
	public static var e_Wear_Ammunition = 15
	public static var e_Wear_Back = 4
	public static var e_Wear_Second_WeaponSlot = 8
	public static var e_Chakra_4 = 28
	public static var e_Chakra_6 = 30
	public static var e_Chakra_2 = 26
	public static var e_Wear_Neck = 3
	public static var e_Wear_Face = 2
	public static var e_Ring_2 = 17
	public static var e_Wear_Belt = 9
	public static var e_Wear_Hat = 1
	public static var e_Necklace = 18
	public static var e_Wear_DefaultLocation = -1
	public static var e_Wear_InvisibleCarrySlot = 23
	public static var e_Wear_Backpack = 14
	public static var e_Wear_GemSlot = 24
	public static var e_Wear_Fourth_WeaponSlot = 21
	public static var e_Wear_FullOutfit = 0
	public static var e_Wear_Chest = 5
	public static var e_Chakra_5 = 29
	public static var e_Chakra_7 = 31
	public static var e_Chakra_1 = 25
	public static var e_Ring_1 = 16
	public static var e_Wear_First_WeaponSlot = 6
	public static var e_Chakra_3 = 27
}

class Enums.LoginStatus 
{
	public static var e_Status_AuthenticatingWithTerritory = 10
	public static var e_Status_ConnectingToGameserver = 17
	public static var e_Status_ConnectedToGameserver = 18
	public static var e_Status_AuthenticatingWithUniverse = 4
	public static var e_Status_GotDimensionList = 15
	public static var e_Status_ConnectingToTerritory = 7
	public static var e_Status_TerritoryAuthenticationOK = 11
	public static var e_Error_TerritoryAuthenticationFailed = 12
	public static var e_Status_RequestingCharacterAndDimensionLists = 13
	public static var e_Status_UniverseAuthenticationOK = 5
	public static var e_Status_ConnectingToUniverse = 1
	public static var e_Status_GotCharacterList = 14
	public static var e_Status_UniverseAuthenticationFailed = 6
	public static var e_Error_FailedToConnectToTerritory = 9
	public static var e_Error_LoginProblem = 16
	public static var e_Error_FailedToConnectToGameserver = 19
	public static var e_Status_ConnectedToUniverse = 2
	public static var e_Error_NoUsernameOrPassword = 0
	public static var e_Status_ConnectedToTerritory = 8
	public static var e_Error_FailedToConnectToUniverse = 3
}

class Enums.LoginState 
{
	public static var e_LoginStateDeepTeleport = 14
	public static var e_LoginStateWaitingForUniverseAuthentication = 3
	public static var e_LoginStateWaitingToEnterGame = 6
	public static var e_LoginStateWaitingForFullUpdate = 8
	public static var e_LoginStateWaitingForTerritoryAuthentication = 5
	public static var e_LoginStateIntroVideo = 0
	public static var e_LoginStateWaitingToReceiveInPlay = 10
	public static var e_LoginStateWaitingForLogout = 15
	public static var e_LoginStateLoggedOut = 1
	public static var e_LoginStateConnectingToUniverse = 2
	public static var e_LoginStateWaitingForCinematic = 11
	public static var e_LoginStateConnectingToTerritory = 4
	public static var e_LoginStateInPlay = 12
	public static var e_LoginStateLocalTeleport = 13
	public static var e_LoginStateWaitingForGameServerConnection = 7
	public static var e_LoginStateWaitingToSendInPlay = 9
}

class Enums.MainQuestType 
{
	public static var e_Investigation = 3
	public static var e_Story = 5
	public static var e_Sabotage = 2
	public static var e_PvP = 7
	public static var e_Item = 9
	public static var e_Lair = 8
	public static var e_NoType = 0
	public static var e_Massacre = 10
	public static var e_Raid = 6
	public static var e_Action = 1
	public static var e_Group = 4
}

class Enums.CharacterState 
{
	public static var e_CharacterState_Count = 4
	public static var e_CharacterState_Weakened = 3
	public static var e_CharacterState_Hindered = 1
	public static var e_CharacterState_Impaired = 2
	public static var e_CharacterState_Afflicted = 0
}

class Enums.InteractionType 
{
	public static var e_InteractionType_Tradepost = 5
	public static var e_InteractionType_Climb = 2
	public static var e_InteractionType_None = 0
	public static var e_InteractionType_Shop = 4
	public static var e_InteractionType_Examine = 3
	public static var e_InteractionType_Use = 1
}

class Enums.ShortcutType 
{
	public static var e_SpecialShortcut = 4
	public static var e_ItemShortcut = 1
	public static var e_SpellShortcut = 2
	public static var e_None = 0
	public static var e_ComboShortcut = 3
}

class Enums.SkillType 
{
	public static var e_Skill_MagicalMitigation = 15
	public static var e_Skill_CriticalRating = 5
	public static var e_Skill_HealingCriticalChance = 23
	public static var e_Skill_MaxHealth = 1
	public static var e_Skill_CriticalChance = 6
	public static var e_Skill_HealingPower = 19
	public static var e_Skill_PhysicalMitigation = 14
	public static var e_Skill_CritPowerRating = 7
	public static var e_Skill_Rank = 26
	public static var e_Skill_EnemyCritChance = 17
	public static var e_Skill_EvadeRating = 12
	public static var e_Skill_HealingCritPower = 25
	public static var e_Skill_CritPower = 8
	public static var e_Skill_BlockRating = 18
	public static var e_Skill_AttackRating = 3
	public static var e_Skill_HealingCriticalRating = 22
	public static var e_Skill_EnemyEvadeChance = 10
	public static var e_Skill_CombatPower = 2
	public static var e_Skill_HealingRating = 20
	public static var e_Skill_PenetrationRating = 11
	public static var e_Skill_DefenseRating = 16
	public static var e_Skill_HealingWeaponPower = 21
	public static var e_Skill_Health = 0
	public static var e_Skill_WeaponPower = 4
	public static var e_Skill_HealingCritPowerRating = 24
	public static var e_Skill_HitRating = 9
	public static var e_Skill_EvadeChance = 13
}

class Enums.Class 
{
	public static var e_Tank = 1
	public static var e_All = 15
	public static var e_None = 0
	public static var e_Damage = 8
	public static var e_Heal = 2
	public static var e_Support = 4
}

class Enums.BuffType 
{
	public static var e_BuffType_Resistance = 5
	public static var e_BuffType_Debuff = 2
	public static var e_BuffType_Buff = 1
	public static var e_BuffType_Trigger = 4
	public static var e_BuffType_None = 0
	public static var e_BuffType_TrueBand = 3
}

class Enums.PvPMatchResult 
{
	public static var e_MinigameLost = 1
	public static var e_MinigameWon = 0
	public static var e_MinigameNoResult = 3
	public static var e_MinigameDraw = 2
}

class Enums.CharacterRenameReason 
{
 public static var REASON_RENAME_NAME_USED = -1
 public static var REASON_RENAME_NAME_OK = 0
 public static var REASON_RENAME_NAME_INVALID = -2
}

class Enums.GearManagerErrorType 
{
	public static var e_LoadingDB = 5
	public static var e_SavingDB = 2
	public static var e_RenameNameExist = 0
	public static var e_GearManagerSlotsFull = 9
	public static var e_CannotSaveEmpty = 11
	public static var e_NameInvalidChar = 7
	public static var e_CannotEquipInCombat = 10
	public static var e_RenameDB = 1
	public static var e_UseInventoryFull = 8
	public static var e_NameLength = 6
	public static var e_DeleteDB = 4
	public static var e_DeleteNotExist = 3
}

class Enums.AttackResultType 
{
	public static var e_AttackType_CriticalHit = 1
	public static var e_AttackType_SpellHeal = 15
	public static var e_AttackType_Hit = 0
	public static var e_AttackType_Evade = 18
	public static var e_AttackType_SpellCriticalHeal = 16
}

class Enums.CharacterSkills 
{
	public static var e_LowerTorsoChakra = 1103
	public static var e_Elementalism = 1009
	public static var e_UpperTorsoChakra = 1102
	public static var e_Blood = 1007
	public static var e_Hammers = 1005
	public static var e_DualPistols = 1003
	public static var e_Chaos = 1008
	public static var e_FistWeapons = 1006
	public static var e_AssaultRifle = 1002
	public static var e_HeadChakra = 1101
	public static var e_Shotgun = 1001
	public static var e_Blades = 1004
}

class Enums.DynelSlot 
{
	public static var e_Slot_OffensiveTargetsTarget = 2
	public static var e_Slot_OffensiveTarget = 1
	public static var e_Slot_Player = 0
	public static var e_Slot_DefensiveTargetsTarget = 4
	public static var e_Slot_DefensiveTarget = 3
	public static var e_Slot_Team4 = 9
	public static var e_Slot_Team5 = 10
	public static var e_Slot_Team2 = 7
	public static var e_Slot_Team3 = 8
	public static var e_Slot_Team0 = 5
	public static var e_Slot_Team1 = 6
}

class Enums.Token 
{
	public static var e_Major_Anima_Fragment = 90
	public static var e_Skill_Point = 2
	public static var e_Solomon_Island_Token = 100
	public static var e_InvalidToken = 0
	public static var e_Anima_Point = 1
	public static var e_Cash = 10
	public static var e_Transylvania_Token = 102
	public static var e_Egypt_Token = 101
	public static var e_Minor_Anima_Fragment = 91
	public static var e_Heroic_Token = 200
}

class Enums.WebBrowserStates 
{
	public static var e_BrowserMode_Leaderboards = 5
	public static var e_BrowserMode_Petition = 3
	public static var e_BrowserMode_Shop = 1
	public static var e_BrowserMode_Facebook = 4
	public static var e_BrowserMode_None = 0
	public static var e_BrowserMode_Browser = 2
}

class Enums.PvPMatchMakingSide 
{
	public static var e_PvPSideEnd = 3
	public static var e_PvPSideBlue = 2
	public static var e_PvPSideGreen = 3
	public static var e_PvPSideInvalid = 0
	public static var e_PvPSideStart = 1
	public static var e_PvPSideRed = 1
}

class Enums.StandardButtons 
{
	public static var e_ButtonsOk = 1
	public static var e_ButtonsCancel = 2
	public static var e_ButtonsOkCancel = 4
	public static var e_ButtonsAcceptDecline = 5
	public static var e_ButtonsYesNo = 3
	public static var e_ButtonsNone = 0
}

class Enums.ActionMode 
{
	public static var e_ActionModeCharacterLook = 2
	public static var e_ActionModeCameraLook = 1
	public static var e_ActionModeCharCreationRotate = 3
	public static var e_ActionModeDefault = 0
	public static var e_ActionModeGroundTargeting = 4
	public static var e_ActionModeTargeting = 5
}

class Enums.CharCreateResult 
{
	public static var e_CreateResultTimout = 1
	public static var e_CreateResultNameInvalidLength = 3
	public static var e_CreateResultNameNotValid = 4
	public static var e_CreateResultOK = 0
	public static var e_CreateResultNameInUse = 2
}

class Enums.InputCommand 
{
	public static var e_InputCommand_Movement_ToggleSitStand = 16
	public static var e_InputCommand_Shortcutbar_4 = 33
	public static var e_InputCommand_Debug_ToggleCameramode = 40
	public static var e_InputCommand_Movement_4everForwardToggle = 6
	public static var e_InputCommand_Toggle_DamageMeterWindow = 77
	public static var e_InputCommand_SaveVideo_Mov = 62
	public static var e_InputCommand_Action_Attack_Stance = 64
	public static var e_InputCommand_Reference_Sheet = 116
	public static var e_InputCommand_Debug_ToggleCPUAffinity = 47
	public static var e_InputCommand_Toggle_GUI = 85
	public static var e_InputCommand_Toggle_SP_Feats = 71
	public static var e_InputCommand_Show_LootbagNames = 112
	public static var e_InputCommand_Debug_CopyMeshID = 110
	public static var e_InputCommand_SaveVideo = 61
	public static var e_InputCommand_Chat_FastReply = 113
	public static var e_InputCommand_Open_TweakGUIWindow = 87
	public static var e_InputCommand_SelectTeammember4 = 100
	public static var e_InputCommand_Toggle_QuestSharingWindow = 93
	public static var e_InputCommand_SwitchLayout = 48
	public static var e_InputCommand_ActivateCommandInput = 94
	public static var e_InputCommand_Shortcutbar_7 = 36
	public static var e_InputCommand_Debug_LoadTweak = 41
	public static var e_InputCommand_ToggleControlCenter__UNUSED = 49
	public static var e_InputCommand_Toggle_Tradeskill = 74
	public static var e_InputCommand_Target_FriendlyPrevious = 27
	public static var e_InputCommand_SelectTeammember3 = 99
	public static var e_InputCommand_TakeScreenShot = 58
	public static var e_InputCommand_CopyActiveTextRegion = 95
	public static var e_InputCommand_Shortcutbar_2 = 31
	public static var e_InputCommand_Combat_TabWeapons = 23
	public static var e_InputCommand_Movement_SprintToggle = 7
	public static var e_InputCommand_None = 0
	public static var e_InputCommand_Debug_PosToChat = 42
	public static var e_InputCommand_Toggle_ShortcutBarLock = 37
	public static var e_InputCommand_Movement_TurnRight = 11
	public static var e_InputCommand_Toggle_Flash = 86
	public static var e_InputCommand_SelectTeammember2 = 98
	public static var e_InputCommand_NextFriendlyTarget = 53
	public static var e_InputCommand_Shortcutbar_5 = 34
	public static var e_InputCommand_ToggleFullscreen = 44
	public static var e_InputCommand_AssistDefensive = 96
	public static var e_InputCommand_Movement_StrafeRight = 13
	public static var e_InputCommand_Toggle_SP_Character = 69
	public static var e_InputCommand_LookAtTarget = 52
	public static var e_InputCommand_Toggle_Target_Mode = 118
	public static var e_InputCommand_SelectTeammember9 = 105
	public static var e_InputCommand_Combat_TabSpellHostile = 22
	public static var e_InputCommand_Movement_Backward = 9
	public static var e_InputCommand_Target_FriendlyNext = 26
	public static var e_InputCommand_TakeScreenShotJpeg = 60
	public static var e_InputCommand_CycleVicinityTagModes = 109
	public static var e_InputCommand_LockPlayerTooltip = 117
	public static var e_InputCommand_TakePrintScreenShot = 59
	public static var e_InputCommand_Toggle_SP_Spells = 70
	public static var e_InputCommand_AssistOffensive = 97
	public static var e_InputCommand_LockTarget = 119
	public static var e_InputCommand_SelectTeammember8 = 104
	public static var e_InputCommand_Movement_TurnLeft = 10
	public static var e_InputCommand_Toggle_EmoteWindow = 92
	public static var e_InputCommand_RightMouseButton = 2
	public static var e_InputCommand_ESC = 5
	public static var e_InputCommand_Reset_Camera = 108
	public static var e_InputCommand_DebugToggleFlyingMode = 4
	public static var e_InputCommand_Shortcutbar_3 = 32
	public static var e_InputCommand_Toggle_InventoryView = 67
	public static var e_InputCommand_CampGameToLogin = 51
	public static var e_InputCommand_Toggle_Maps = 73
	public static var e_InputCommand_Debug_FramerateToggle = 39
	public static var e_InputCommand_Movement_Jump = 14
	public static var e_InputCommand_MiddleMouseButton = 3
	public static var e_InputCommand_Toggle_SP_Inventory = 68
	public static var e_InputCommand_ToggleResManWindow = 46
	public static var e_InputCommand_Movement_ToggleRunWalk = 15
	public static var e_InputCommand_SelectTeammember7 = 103
	public static var e_InputCommand_Toggle_SP_Journal = 72
	public static var e_InputCommand_Debug_ExtPosToChat = 43
	public static var e_InputCommand_LeftMouseButton = 1
	public static var e_InputCommand_Shortcutbar_6 = 35
	public static var e_InputCommand_Target_HostileNext = 24
	public static var e_InputCommand_ToggleSelectSelf = 57
	public static var e_InputCommand_Movement_Forward = 8
	public static var e_InputCommand_SendBugReport = 111
	public static var e_InputCommand_PrevHostileTarget = 56
	public static var e_InputCommand_Combat_TabSpellFriendly = 21
	public static var e_InputCommand_Toggle_Options = 66
	public static var e_InputCommand_Chat_Activate = 115
	public static var e_InputCommand_Chat_FastTell = 114
	public static var e_InputCommand_Action_Reload = 65
	public static var e_InputCommand_SelectTeammember6 = 102
	public static var e_InputCommand_Open_TradeSkillWindow = 91
	public static var e_InputCommand_Shortcutbar_1 = 30
	public static var e_InputCommand_PrevFriendlyTarget = 54
	public static var e_InputCommand_SelectTeammember10 = 106
	public static var e_InputCommand_Toggle_PvPStatWindow = 76
	public static var e_InputCommand_Action_Use = 63
	public static var e_InputCommand_Toggle_FriendsView = 75
	public static var e_InputCommand_Debug_MouseWorldPos = 38
	public static var e_InputCommand_Target_HostilePrevious = 25
	public static var e_InputCommand_ToggleSoundWindow = 45
	public static var e_InputCommand_Combat_SwapAlternateWeapons = 18
	public static var e_InputCommand_CampGameToSystem_AltF4 = 50
	public static var e_InputCommand_NextHostileTarget = 55
	public static var e_InputCommand_Debug_PosToClipboard = 107
	public static var e_InputCommand_Open_ServerStatWindow = 90
	public static var e_InputCommand_SelectTeammember5 = 101
	public static var e_InputCommand_Movement_StrafeLeft = 12
}

class Enums.InfoContext 
{
	public static var e_ToPlayer = 0
	public static var e_Other = 2
	public static var e_FromPlayer = 1
}

class Enums.WeaponTypeFlag 
{
	public static var e_WeaponType_Melee = 1
	public static var e_WeaponType_Life = 32768
	public static var e_WeaponType_Magic = 4096
	public static var e_WeaponType_Heal = 1048576
	public static var e_WeaponType_Count = 22
	public static var e_WeaponType_1_Handed = 262144
	public static var e_WeaponType_2_Handed = 524288
	public static var e_WeaponType_Fist = 16
	public static var e_WeaponType_Misc = 2097152
	public static var e_WeaponType_Jinx = 8192
	public static var e_WeaponType_Rifle = 512
	public static var e_WeaponType_Vile = 16384
	public static var e_WeaponType_Death = 65536
	public static var e_WeaponType_Axe = 4
	public static var e_WeaponType_AssaultRifle = 256
	public static var e_WeaponType_Dagger = 8
	public static var e_WeaponType_Sword = 32
	public static var e_WeaponType_Shotgun = 1024
	public static var e_WeaponType_Handgun = 128
	public static var e_WeaponType_Club = 2
	public static var e_WeaponType_SMG = 2048
	public static var e_WeaponType_Fire = 131072
	public static var e_WeaponType_Ranged = 64
}

class Enums.TradepostItemSubtype 
{
	public static var e_TDBSubType_AssemblyComponent = 52991092
	public static var e_TDBSubType_Talisman1 = 246461513
	public static var e_TDBSubType_Elemental = 71672516
	public static var e_TDBSubType_Talisman3 = 191434452
	public static var e_TDBSubType_Talisman5 = 116095803
	public static var e_TDBSubType_Chaos = 166678788
	public static var e_TDBSubType_Talisman7 = 116054996
	public static var e_TDBSubType_AssRiff = 91624581
	public static var e_TDBSubType_Shotgun = 41012030
	public static var e_TDBSubType_Signet = 94364868
	public static var e_TDBSubType_Gadgets = 226155763
	public static var e_TDBSubType_Fist = 4394078
	public static var e_TDBSubType_Blood = 205690740
	public static var e_TDBSubType_Pistols = 244175283
	public static var e_TDBSubType_Consumables = 180871029
	public static var e_TDBSubType_Talisman2 = 247368388
	public static var e_TDBSubType_Talisman4 = 184609570
	public static var e_TDBSubType_Talisman6 = 247306948
	public static var e_TDBSubType_Hammer = 157308306
	public static var e_TDBSubType_Glyph = 5128296
	public static var e_TDBSubType_Vismod = 132606149
	public static var e_TDBSubType_Toolkit = 191246932
	public static var e_TDBSubType_Blueprint = 197642084
	public static var e_TDBSubType_Blade = 93626565
}

class Enums.MinigameType 
{
	public static var e_FactionVsFaction = 7
	public static var e_UnknownMinigame = 0
	public static var e_AnnihilateMinigame = 1
	public static var e_ConquestMinigame = 4
	public static var e_CaptureTheFlagMinigame = 5
}

class Enums.GMFlags 
{
	public static var e_ShowGMTag = 65536
}

class Enums.SpellItemType 
{
 public static var eMagicSpell = 0
 public static var eEliteActiveAbility = 2
 public static var ePassiveAbility = 1
 public static var eElitePassiveAbility = 3
}

class Enums.PowerLevel 
{
	public static var e_Rare = 3
	public static var e_Superior = 1
	public static var e_Mundane = 0
	public static var e_Enchanted = 2
	public static var e_Legendary = 5
	public static var e_Epic = 4
}

class Enums.ServerRuleset 
{
 public static var ServerRuleset_PVP = 1
 public static var ServerRuleset_CulturePVP = 5
 public static var ServerRuleset_PVE = 0
}

class Enums.ItemPowerTier 
{
	public static var e_ItemPowerTier_Epic = 4000
	public static var e_ItemPowerTier_Uncommon = 2000
	public static var e_ItemPowerTier_Common = 1000
	public static var e_ItemPowerTier_Rare = 3000
}

class Enums.EncounterType 
{
	public static var e_EncounterType_Group = 1
	public static var e_EncounterType_Raid = 3
	public static var e_EncounterType_Solo = 0
}

class Enums.ItemPowerLevel 
{
	public static var e_FirstPowerLevel = 0
	public static var e_LastPowerLevel = 5
	public static var e_Rare = 3
	public static var e_Superior = 1
	public static var e_Mundane = 0
	public static var e_NoPowerLevel = -1
	public static var e_Enchanted = 2
	public static var e_Legendary = 5
	public static var e_Epic = 4
}

class Enums.GoalType 
{
	public static var e_GoalType_GetItem = 23
	public static var e_GoalType_InteractWithObject = 26
	public static var e_GoalType_EscortCharacter = 2
	public static var e_GoalType_TargetItem = 7
	public static var e_GoalType_ExternalTrigger = 22
	public static var e_GoalType_GiveItemToCharacter = 20
	public static var e_GoalType_LocateDistrict = 9
	public static var e_GoalType_PutItemOnItem = 10
	public static var e_GoalType_DestroyDestructible = 25
	public static var e_GoalType_CreateItem = 5
	public static var e_GoalType_TalkToCharacter = 21
	public static var e_GoalType_Invalid = 0
	public static var e_GoalType_UseItem = 24
	public static var e_GoalType_DestroyCharacter = 12
	public static var e_GoalType_FindCharacter = 8
	public static var e_GoalType_PutItemOnCharacter = 19
}

class Enums.TradepostItemType 
{
	public static var e_TDBType_Miscellaneous = 109918787
	public static var e_TDBType_Weapons = 98273118
	public static var e_TDBType_Talismans = 137406174
	public static var e_TDBType_Upgrades = 208570357
	public static var e_TDBType_Crafting = 189139677
}

class Enums.FacialFeature 
{
	public static var e_FacialFeatureLip = 2
	public static var e_FacialFeatureNose = 1
	public static var e_FacialFeatureCount = 4
	public static var e_FacialFeatureJaw = 3
	public static var e_FacialFeatureEye = 0
}

class Enums.Factions 
{
	public static var e_FactionDragon = 1
	public static var e_FactionIlluminati = 3
	public static var e_FactionTemplar = 2
}

class Enums.ActiveAbilityShortcutSlots 
{
	public static var e_PrimaryShortcutBarSlotCount = 7
	public static var e_PrimaryShortcutBarFirstSlot = 100
	
}

class Enums.LoreRewardType 
{
	public static var e_CharacterTag = 1
	public static var e_Item = 0
}

class Enums.ItemType 
{
	public static var e_ItemType_Weapon = 1
	public static var e_ItemType_Consumable = 4
	public static var e_ItemType_CraftingItem = 3
	public static var e_ItemType_MissionItemConsumable = 6
	public static var e_ItemType_None = 0
	public static var e_ItemType_MissionItem = 5
	public static var e_ItemType_Chakra = 2
}

class Enums.CraftingPhase 
{
	public static var e_ClearGrid = 10
	public static var e_Crafted = 9
	public static var e_Phase3CheckPositioning = 3
	public static var e_Phase4CheckStackSizes = 4
	public static var e_NoUpdate = 6
	public static var e_Phase1CheckRelevantRecipes = 1
	public static var e_DisassemblyPass = 12
	public static var e_SetData = 11
	public static var e_Phase2CheckGridNumbers = 2
	public static var e_Phase5CheckTools = 5
	public static var e_Disassembled = 13
	public static var e_LuaSuccess = 7
	public static var e_NoRecipes = 0
	public static var e_LuaFailed = 8
}

class Enums.SoundID 
{
	public static var e_SoundButtonClicked = 113
	public static var e_SoundFactionBackgroundChanged = 114
}

class Enums.BreedSex 
{
	public static var e_Sex_Male = 2
	public static var e_Sex_Female = 3
}

class Enums.LoginDialogStatusType 
{
	public static var e_Queue = 0
	public static var e_StatusNoTimer = 2
	public static var e_Status = 1
	public static var e_Error = 3
	public static var e_AccountError = 4
}

class Enums.Hotkey 
{
	public static var eHotkeyDown = 0
	public static var eHotkeyRepeat = 2
	public static var eHotkeyUp = 1
}

class Enums.Property 
{
	public static var e_ObjPos = 0
	public static var e_MissionScreenPos = 2
	public static var e_ObjScreenPos = 1
}

class Enums.GroupLootMode 
{
	public static var e_FirstLootMode = 0
	public static var e_LootModeRoundRobin = 1
	public static var e_LootModeLeaderOnly = 3
	public static var e_LootModeFreeForAll = 0
	public static var e_LootModeMasterLooter = 2
	public static var e_LastLootMode = 3
}

class Enums.NametagCategory 
{
	public static var e_NameTagCategory_FriendlyNPC = 5
	public static var e_NameTagCategory_HostilePlayer = 12
	public static var e_NameTagCategory_LowLvlNPC = 10
	public static var e_NameTagCategory_HostileBossNPC = 8
	public static var e_NameTagCategory_Raid = 3
	public static var e_NameTagCategory_HostileMinionNPC = 7
	public static var e_NameTagCategory_Self = 1
	public static var e_NameTagCategory_Team = 2
	public static var e_NameTagCategory_GameMaster = 14
	public static var e_NameTagCategory_Guild = 4
	public static var e_NameTagCategory_NoTarget = 0
	public static var e_NameTagCategory_HostileLowLvlPlayer = 13
	public static var e_NameTagCategory_QuestTarget = 15
	public static var e_NameTagCategory_FriendlyPlayer = 11
	public static var e_NameTagCategory_HostileNPC = 6
}

class Enums.QuestMediaType 
{
	public static var QuestGiverList_QuestMediaType_Video = 3
	public static var QuestGiverList_QuestMediaType_Image = 1
	public static var QuestGiverList_QuestMediaType_Audio = 2
}

class Enums.WaypointType 
{
	public static var e_RMWPRegion = 13
	public static var e_RMWPSpawnDragons = 51
	public static var e_RMWPTower = 54
	public static var e_RMWPMurderResurrectionPoint = 28
	public static var e_RMWPQuest_Sabotage = 34
	public static var e_RMWPQuestGoalUnselected = 31
	public static var e_RMWPPlayerDragons = 48
	public static var e_RMWPBlueFlag = 11
	public static var e_RMWPPlayerTemplars = 50
	public static var e_RMWPControlIlluminati = 46
	public static var e_RMWPQuest_PvP = 41
	public static var e_RMWPQuest_Massacre = 44
	public static var e_RMWPFacility = 55
	public static var e_RMWPTravelNPC = 20
	public static var e_RMWPResourceGathering = 29
	public static var e_RMWPQuest_Action = 37
	public static var e_RMWPPlayerIlluminati = 49
	public static var e_RMWPBindNPC = 25
	public static var e_RMWPTrackingTarget = 12
	public static var e_RMWPHub = 22
	public static var e_RMWPResourceCloth = 27
	public static var e_RMWPMerchantNPC = 3
	public static var e_RMWPQuest_Item = 43
	public static var e_RMWPTeamMember = 2
	public static var e_RMWPClientChar = 1
	public static var e_RMWPQuest_Dungeon = 38
	public static var e_RMWPControlDragons = 45
	public static var e_RMWPQuest_Group = 40
	public static var e_RMWPQuest_Raid = 39
	public static var e_RMWPQuest_Story = 36
	public static var e_RMWPSpawnTemplars = 53
	public static var e_RMWPDestination = 8
	public static var e_RMWPRedFlag = 10
	public static var e_RMWPInvalid = 0
	public static var e_RMWPQuestGoalHighlighted = 33
	public static var e_RMWPCustom = 9
	public static var e_RMWPResourceGold = 17
	public static var e_RMWPPvPDestination = 6
	public static var e_RMWPBankerNPC = 24
	public static var e_RMWPQuest_Investigation = 35
	public static var e_RMWPDungeon = 21
	public static var e_RMWPCityBuilding = 26
	public static var e_RMWPResourceIron = 18
	public static var e_RMWPSpawnIlluminati = 52
	public static var e_RMWPMassivePvPArea = 19
	public static var e_RMWPQuestGiverNPC = 4
	public static var e_RMWPDoor = 30
	public static var e_RMWPTombStone = 14
	public static var e_RMWPQuestGoalSelected = 32
	public static var e_RMWPResourceStone = 15
	public static var e_RMWPTrainerNPC = 23
	public static var e_RMWPHotSpot = 56
	public static var e_RMWPQuest_Lair = 42
	public static var e_RMWPResourceWood = 16
	public static var e_RMWPResurrectionPoint = 7
	public static var e_RMWPQuestProgressNPC = 5
	public static var e_RMWPControlTemplars = 47
}

class Enums.Stat 
{
	public static var e_Durability = 967
	public static var e_UnlockedGearBuildSlots = 1358
	public static var e_LastXP = 57
	public static var e_RankTag = 1372
	public static var e_Band = 2000470
	public static var e_PvPFlagsCaptured = 662
	public static var e_PlayerFaction = 2000092
	public static var e_Sex = 59
	public static var e_NextXP = 350
	public static var e_LinkedTag = 1371
	public static var e_MaxDurability = 1356
	public static var e_GmLevel = 215
	public static var e_CarsGroup = 1050
	public static var e_SelectedTag = 2000558
	public static var e_Health = 27
	public static var e_PvPFlagsReturned = 663
	public static var e_Mana = 506
	public static var e_Placement = 298
	public static var e_PlayerFlags = 864
	public static var e_Life = 1
	public static var e_EncounterType = 2000471
	public static var e_XP = 52
	public static var e_PowerRank = 1338
	public static var e_StackSize = 26
	public static var e_MaxEquippedWeapons = 2000446
	public static var e_GradeType = 2000561
	public static var e_Dimension = 1375
	public static var e_Level = 54
	public static var e_MaxMana = 507
	public static var e_PowerHouse = 2000420
	public static var e_Side = 33
	public static var e_BarrierHealthPool = 2000406
	public static var e_MaxStackSize = 212
}

class Enums.InvType 
{
	public static var e_Type_MailInventory = 114
	public static var e_Type_GC_TradepostContainer = 117
	public static var e_Type_GC_BeltInventory = 116
	public static var e_Type_GC_GuildContainer = 109
	public static var e_Type_GC_BackpackContainer = 104
	public static var e_Type_GC_StaticInventory = 120
	public static var e_Type_GC_ChestContainer = 107
	public static var e_Type_GC_ResourceContainer = 112
	public static var e_Type_GC_BuybackInventory = 118
	public static var e_Type_GC_CraftingInventory = 119
	public static var e_Type_LootInventory = 115
	public static var e_Type_GC_WeaponContainer = 101
	public static var e_Type_GC_BankContainer = 105
	public static var e_Type_GC_QuestContainer = 113
	public static var e_Type_GC_TradeContainer = 108
	public static var e_Type_GC_ShopContainer = 111
}

class Enums.QuestWaypointState 
{
	public static var e_WPStateHidden = 2
	public static var e_WPStateInactive = 1
	public static var e_WPStateActive = 0
}

class Enums.AimState 
{
	public static var e_UsableObject = 3
	public static var e_FriendlyObject = 1
	public static var e_Ground = 0
	public static var e_HostileObject = 2
}

class Enums.CommandProgressbarType 
{
	public static var e_CommandProgressbar_Empty = 1
	public static var e_CommandProgressbar_Fill = 0
}

class Enums.AttackOffensiveLevel 
{
	public static var e_OffensiveLevel_Overwhelming = 4
	public static var e_OffensiveLevel_Glancing = 1
	public static var e_OffensiveLevel_Normal = 2
	public static var e_OffensiveLevel_Heavy = 3
	public static var e_OffensiveLevel_Missed = 0
}

class Enums.TargetMode 
{
	public static var e_FriendlyAOEGround = 3
	public static var e_HostileAOEGround = 7
	public static var e_FriendlyAOESelf = 4
	public static var e_HostileTarget = 5
	public static var e_FriendlyTarget = 1
	public static var e_HostileAOESelf = 8
	public static var e_HostileAOETarget = 6
	public static var e_FriendlyTeam = 9
	public static var e_FriendlySelf = 10
	public static var e_Self = 0
	public static var e_FriendlyAOETarget = 2
}

class Enums.BreedName 
{
	public static var e_Name_Last = 2
	public static var e_Name_First = 1
	public static var e_Name_Nick = 3
}

class Enums.AttackType 
{
	public static var e_Heal = 3
	public static var e_Magic = 2
	public static var e_Ranged = 1
	public static var e_Melee = 0
}

class Enums.LoreNodeType 
{
	public static var e_Title = 3
	public static var e_TutorialTip = 42
	public static var e_SubAchievement = 12
	public static var e_Achievement = 1
	public static var e_HeaderLore = 102
	public static var e_Tutorial = 4
	public static var e_HeaderTutorial = 104
	public static var e_Lore = 2
	public static var e_HeaderAchievement = 101
	public static var e_AchievementCategory = 11
	public static var e_FactionTitle = 31
	public static var e_TutorialCategory = 41
	public static var e_HeaderTitle = 103
}

class Enums.DisplayModes 
{
	public static var e_DisplayMode_Fullscreen = 0
	public static var e_DisplayMode_Windowed = 1
	public static var e_DisplayMode_WindowedBorderless = 2
}

class Enums.TypeID 
{
	public static var e_Type_GC_SimpleDynel = 51320
	public static var e_Type_GC_Character = 50000
	public static var e_Type_GC_Destructible = 51321
}

class Enums.QuestEvent 
{
	public static var e_QuestEvent_RewardChanged = 5
	public static var e_QuestEvent_Invalid = 0
	public static var e_QuestEvent_Failed = 3
	public static var e_QuestEvent_Removed = 4
	public static var e_QuestEvent_Completed = 2
	public static var e_QuestEvent_UntrainCraft = 6
	public static var e_QuestEvent_Abandoned = 7
	public static var e_QuestEvent_Expired = 1
}

class Enums.LoreMediaType 
{
	public static var e_Movie = 2
	public static var e_FlashFile = 0
	public static var e_Image = 1
}

class Enums.ItemLocation 
{
	public static var e_Wear_Legs = 10
	public static var e_Wear_Feet = 11
	public static var e_Wear_Back = 4
	public static var e_Wear_Chest = 5
}

class Enums.StatItemClass 
{
	public static var e_ItemClassRangedWeapon = 2
	public static var e_ItemClassGemSocketed = 9
	public static var e_ItemClassUnknown = 0
	public static var e_ItemClassGem = 8
	public static var e_ItemClassCombo = 7
	public static var e_ItemClassUsable = 4
	public static var e_ItemClassArmor = 3
	public static var e_ItemClassSubSpell = 10
	public static var e_ItemClassSpecial = 6
	public static var e_ItemClassSpell = 5
	public static var e_ItemClassMeleeWeapon = 1
}

class Enums.ViewLayer 
{
	public static var e_ViewLayerMiddle = 2
	public static var e_ViewLayerBack = 1
	public static var e_ViewLayerTop = 3
	public static var e_ViewLayerDebugBack = 0
	public static var e_ViewLayerDebugTop = 11
	public static var e_ViewLayerDialogs = 5
	public static var e_ViewLayerSplashScreen = 9
	public static var e_ViewLayerSplashScreenTop = 10
	public static var e_ViewLayerTooltip = 6
	public static var e_ViewLayerDragAndDrop = 7
	public static var e_ViewLayerOptions = 4
}

class Enums.PvPMinigameStatus 
{
	public static var e_MinigameWarmup = 2
	public static var e_MinigameCollectingPlayers = 1
	public static var e_MinigameStarted = 3
	public static var e_MinigameEnded = 4
	public static var e_MinigameZero = 0
}

class Enums.Standing 
{
	public static var e_StandingNeutral = 2
	public static var e_StandingEnemy = 1
	public static var e_StandingFriend = 0
}

class Enums.CombatLogFeedbackType 
{
	public static var e_BarrierDepleted = 2
	public static var e_BarrierIncreasedCritical = 1
	public static var e_LeechAdded = 4
	public static var e_BarrierIncreased = 0
	public static var e_BarrierRemoved = 3
}

class Enums.AttractorPlace 
{
	public static var e_CameraAim = 128
	public static var e_Ground = 35
}

class Enums.ServerLoad 
{
	public static var e_ServerLoad_High = 3
	public static var e_ServerLoad_Low = 1
	public static var e_ServerLoad_Recommended = 5
	public static var e_ServerLoad_Offline = 0
	public static var e_ServerLoad_Normal = 2
	public static var e_ServerLoad_Full = 4
}

class Enums.StandardButtonID 
{
	public static var e_ButtonIDReject = 1
	public static var e_ButtonIDYes = 0
	public static var e_ButtonIDNo = 1
	public static var e_ButtonIDAccept = 0
	public static var e_ButtonIDCancel = 1
	public static var e_ButtonIDOk = 0
}

class Enums.GuiModeFlags 
{
	public static var e_GUIModeFlags_SplashScreen = 32
	public static var e_GUIModeFlags_Launcher = 4
	public static var e_GUIModeFlags_EnableAllGUI = 2
	public static var e_GUIModeFlags_CharCreate = 8
	public static var e_GUIModeFlags_Cinematics = 16
	public static var e_GUIModeFlags_InPlay = 1
	public static var e_GUIModeFlags_PlayerGhosting = 256
	public static var e_GUIModeFlags_PlayerDead = 128
}

class Enums.DamageInfo 
{
	public static var e_OverwhelmingHit = 9
	public static var e_SpellHeal = 15
	public static var e_SpellOverwhelmingHit = 13
	public static var e_Falling = 20
	public static var e_SpellCriticalHeal = 16
	public static var e_Info = 22
	public static var e_SpellHit = 11
	public static var e_Evade = 18
	public static var e_SpellOverwhelmingHeal = 17
	public static var e_Hit = 0
	public static var e_Environment = 19
	public static var e_SpellCriticalHit = 12
	public static var e_CriticalHit = 1
	public static var e_Drowning = 21
}